Company logoTrust Center Documentation

Update update

Edit update content, audience, resources, slug, classification, and access level. Draft and scheduled updates can be edited before publication. Published…

Edit update content, audience, resources, slug, classification, and access level. Draft and scheduled updates can be edited before publication. Published updates only allow slug and access-level changes. Follow-up order can only be changed on the root update. Use the dedicated publish, schedule, archive, and revert endpoints for lifecycle changes.

PATCH
/api/v1/updates/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Update ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://app.orbiqhq.com/api/v1/updates/string" \  -H "Content-Type: application/json" \  -d '{    "title": "Privacy policy refresh",    "summary": "Final customer-facing summary.",    "description_md": "The updated policy is now ready for review.",    "classification": "cls_legal"  }'
{
  "success": true,
  "data": {
    "update": {
      "id": "string",
      "title": "string",
      "slug": "string",
      "summary": "string",
      "description_md": "string",
      "status": "draft",
      "classification": "string",
      "access_level": "public",
      "send_mode": "none",
      "channels": [
        "trust_center"
      ],
      "scheduled_at": "2019-08-24T14:15:22Z",
      "scheduled_timezone": "Europe/Berlin",
      "published_at": "2019-08-24T14:15:22Z",
      "effective_at": "2019-08-24T14:15:22Z",
      "effective_timezone": "America/New_York",
      "order": "asc",
      "parent": "string",
      "template": "string",
      "documents": [
        {
          "id": "string",
          "documents_id": "string"
        }
      ],
      "subprocessors": [
        {
          "id": "string",
          "subprocessors_id": "string"
        }
      ]
    }
  }
}
Empty
Empty
Empty

How is this guide?